F-Secure PSB Computer Protection installation fails in a Windows 8 computer with error "This version

This discussion has a more recent version.

Issue:

F-Secure PSB Computer Protection installation on a Windows 8 computer, fails with error "Check System Requirements, This version of Windows is not supported, please make sure you have the right operating system and service packs installed."

Resolution:

Only Microsoft Windows 7, 8.1 and 10 (all 32-bit and 64-bit editions) are supported for F-Secure PSB Computer Protection installation. Proceed to upgrade your Microsoft Windows 8 operating system to version 8.1 before installing the F-Secure product.

Article no: 000011265

Sign In or Register to comment.